Subject: [IPFIX] I-D Action: draft-ietf-ipfix-protocol-rfc5101bis-04.txt

From: [email-masked]
Date: Wed, 19 Dec 2012 01:35:03 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the IP Flow Information Export Working Group of the IETF.

	Title           : Specification of the IP Flow Information eXport (IPFIX) Protocol for the Exchange of Flow Information
	Author(s)       : Benoit Claise
                          Brian Trammell
	Filename        : draft-ietf-ipfix-protocol-rfc5101bis-04.txt
	Pages           : 66
	Date            : 2012-12-19

Abstract:
   This document specifies the IP Flow Information Export (IPFIX)
   protocol that serves for transmitting Traffic Flow information over
   the network.  In order to transmit Traffic Flow information from an
   Exporting Process to an information Collecting Process, a common
   representation of flow data and a standard means of communicating
   them is required.  This document describes how the IPFIX Data and
   Template Records are carried over a number of transport protocols
   from an IPFIX Exporting Process to an IPFIX Collecting Process.  This
   document obsoletes RFC 5101.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-ipfix-protocol-rfc5101bis

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-ipfix-protocol-rfc5101bis-04

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-ipfix-protocol-rfc5101bis-04

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Brian Trammell <[email-masked]>
Date: Wed, 19 Dec 2012 10:48:47 +0100

Greetings, all,

Revision -04 of draft-ietf-ipfix-protocol-rfc5101bis addresses _most_ of the comments received during WGLC; many thanks to all who commented, as I think they've made the document much better.

The language on template withdrawals has changed significantly. The concept of a "template withdrawal message" has been largely removed from the document, and the section has been made consistent with 8.2. 8.2 has also changed quite a bit based on WGLC feedback. I don't think it's possible to come up with a solution to all the various little corner cases you can run into with template withdrawals that will make everyone happy (trivial proof: I'm not happy with any of the possibilities I've seen or could imagine), but I think what's in Section 8.1 is at least internally self-consistent, so please have a look.

Also completely new is Section 5.2 on timestamp wraparound, which describes epoch wrap on 1900 and 1970 epoch timestamps in a way that's consistent with what most people are probably already planning to do anyway; given V5 and V9, I suspect there's a lot of well-tested timestamp-wrapping corner-case code out there that can be easily adapted.

Please have a look at these and comment to the list; if only with a "works for me". Chairs, please let us know if this new revision requires a further WGLC. 

Many thanks, and best regards,

Brian

Begin forwarded message:

> From: [email-masked]
> Subject: [IPFIX] I-D Action: draft-ietf-ipfix-protocol-rfc5101bis-04.txt
> Date: December 19, 2012 10:35:03 AM GMT+01:00
> To: [email-masked]
> Cc: [email-masked]
> 
> 
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix

---

From: Gerhard Muenz <[email-masked]>
Date: Fri, 21 Dec 2012 22:06:05 +0100

Brian,

Have you read my WGLC comments?
http://www.ietf.org/mail-archive/web/ipfix/current/msg06724.html
I do not see them addressed.

The last sentence that you added to 9.2 does not make sense: If the CP 
needs to cache Data Records because it does not know the Template, this 
cannot be a Template ID reuse situation.

Regards,
Gerhard

---

From: Brian Trammell <[email-masked]>
Date: Sat, 22 Dec 2012 13:24:07 +0100

Hi, Gerhard,

I recall reading them but _completely_ forgot to add them to the list of edits for -04; sorry about that! I'll include these along with other comments on -04 edits after the holidays in a -05.

Thanks, cheers,

Brian

On Dec 21, 2012, at 10:06 PM, Gerhard Muenz wrote:

> The last sentence that you added to 9.2 does not make sense: If the CP needs to cache Data Records because it does not know the Template, this cannot be a Template ID reuse situation.
> 
> Regards,
> Gerhard
> 
> 
>